Subject: Re: [PATCH] net: Add back alignment for size for __alloc_skb

From: Tony Lindgren <[email-masked]>
Date: Wed, 2 Nov 2011 16:19:17 -0700

* David Miller <[email-masked]> [111102 15:42]:
> c> 
> > The issue is calculation of skb->end, which is based upon calculated
> > 'size' variable.
> > 
> > skb->end determines alignment of skb_shared_info, which is where the
> > alignment problem is occuring for Tony.
> 
> Right, and SMP_CACHE_BYTES setting should save us in any case.
> 
> For ARM, SMP_CACHE_BYTES seems to be set to L1_CACHE_BYTES which in
> turn is set via ARM_L1_CACHE_SHIFT which can be set seemingly to any
> value but the defaults are 5 and 6 which should be OK.
> 
> So unless Tony is using a non-standard setting of ARM_L1_CACHE_SHIFT,
> this report is a bit mysterious.

This is happening at least with omap1_defconfig. In that case we have
ARM_L1_CACHE_SHIFT=5.

Regards,

Tony